Bug 8653 - With DOM indexing turned on subject authority links are not indexed
Summary: With DOM indexing turned on subject authority links are not indexed
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Authority data support (show other bugs)
Version: 3.8
Hardware: All All
: P4 normal (vote)
Assignee: Colin Campbell
QA Contact: Mason James
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-16 17:05 UTC by Colin Campbell
Modified: 2013-12-05 19:57 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (12.32 KB, patch)
2012-08-16 17:31 UTC, Colin Campbell
Details | Diff | Splinter Review
Revised Patch (17.63 KB, patch)
2012-08-17 07:48 UTC, Colin Campbell
Details | Diff | Splinter Review
Bug 8653 remove erroneous whitespace blocking indexing (17.68 KB, patch)
2012-08-18 02:22 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2012-08-16 17:05:40 UTC
Description:

upgrade saying yes to DOM. Rebuild zebra index

Say you have a bib record for Progeamming Perl Author: Wall, Larry Subject: Perl Computer programming language - bothheadings are authorised (with correct $9s) in an authority search the author links to 1 biblio the subject to 0 

All authorities show 0 biblios

Cause: 
originally a whitespace error in etc/zebradb/marc_defs/marc21/biblios/record.abs

entries like melm 650$9      Koha-Auth-Number have a number of spaces after Number

It looks like etc/zebradb/marc_defs/marc21/biblios/biblio-koha-indexdefs.xml was generated from this programmatically and it has created entries like

Koha-Auth-Number    :w

when that is processed by xsl to produce the zebra index defs this becomes

Koha-Auth-Number :w

zebra finds the definition doesnt match and skips the $9s

Removed the spaces, regenerated the biblio-zebra-indexdefs; restarted zebra and rebuilt the index and authorities link to bibs again
Comment 1 Colin Campbell 2012-08-16 17:19:03 UTC
There are some trailing spaces in some Unimarc Title-series entries as these remain harmless (I think) and are stripped by the xsl processing
Comment 2 Colin Campbell 2012-08-16 17:31:31 UTC Comment hidden (obsolete)
Comment 3 Colin Campbell 2012-08-17 07:48:16 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2012-08-18 02:22:24 UTC
Created attachment 11674 [details] [review]
Bug 8653 remove erroneous whitespace blocking indexing

The superfluous whitespace after the definition of subject
tag $9s is causing an error when carried over into dom config
files so that the authority links fail to index

Also removed the (harmless) trailing space in the equivalent
Unimarc files

A good editor and git can help in not creating excess whitespace

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 5 Mason James 2012-09-14 11:54:21 UTC
> Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

passing QA, nice spotting!

$ koha-qa.pl 

testing 1 commit(s) (applied to commit 0acebb8)
 * 36f58f1 Bug 8653 remove erroneous whitespace blocking indexing
      etc/zebradb/marc_defs/marc21/biblios/biblio-koha-indexdefs.xml
      etc/zebradb/marc_defs/marc21/biblios/biblio-zebra-indexdefs.xsl
      etc/zebradb/marc_defs/marc21/biblios/record.abs
      etc/zebradb/marc_defs/unimarc/biblios/biblio-koha-indexdefs.xml
      etc/zebradb/marc_defs/unimarc/biblios/record.abs

* etc/zebradb/marc_defs/marc21/biblios/biblio-koha-indexdefs.xml           OK
* etc/zebradb/marc_defs/marc21/biblios/biblio-zebra-indexdefs.xsl          OK
* etc/zebradb/marc_defs/unimarc/biblios/biblio-koha-indexdefs.xml          OK
Comment 6 Paul Poulain 2012-09-14 15:20:56 UTC
Patch pushed to master
Comment 7 Chris Cormack 2012-09-16 08:41:34 UTC
Pushed to 3.8.x, will be in 3.8.5